Subject: ab/remove--super-prefix and -rc0 (was What's cooking in git.git (Nov 2022, #07; Tue, 29))

From: Glen Choo <[email-masked]>
Date: Tue, 29 Nov 2022 10:59:24 -0800

Junio C Hamano <[email-masked]> writes:

> Here are the topics that have been cooking in my tree.  Commits
> prefixed with '+' are in 'next' (being in 'next' is a sign that a
> topic is stable enough to be used and are candidate to be in a future
> release).  Commits prefixed with '-' are only in 'seen', and aren't
> considered "accepted" at all.  A topic without enough support may be
> discarded after a long period of no activity.
>
> The preview release -rc0 for this cycle has been tagged.

[...]

> * ab/remove--super-prefix (2022-11-21) 12 commits
>  . fetch: rename "--submodule-prefix" to "--super-prefix"
>  . read-tree: add "--super-prefix" option, eliminate global
>  . submodule--helper: convert "{update,clone}" to their own "--super-prefix"
>  . submodule--helper: convert "status" to its own "--super-prefix"
>  . submodule--helper: convert "sync" to its own "--super-prefix"
>  . submodule--helper: convert "foreach" to its own "--super-prefix"
>  . submodule--helper: don't use global --super-prefix in "absorbgitdirs"
>  . submodule.c & submodule--helper: pass along "super_prefix" param
>  . read-tree + fetch tests: test failing "--super-prefix" interaction
>  . Merge branch 'ab/submodule-no-abspath' into ab/remove--super-prefix
>   (merged to 'next' on 2022-11-18 at 34d0accc7b)
>  + submodule--helper absorbgitdirs: no abspaths in "Migrating git..."
>  . Merge branch 'ab/submodule-helper-prep-only' into ab/remove--super-prefix
>
>  Remove the top-level `--super-prefix` option.
>  source: <[email-masked]>

Hm, it looks like ab/remove--super-prefix missed the preview release..
Per the discussion ending at [1] I think my one-patch fix to "git
fetch" [2] should have made it into the release (it's pretty low-risk
and doesn't introduce too much churn to ab/remove--super-prefix). Is it
too late for that?

[1] https://lore.kernel.org/git/[email-masked]
[2] https://lore.kernel.org/git/[email-masked]